Unit tde20r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE20R_p, DE20R_p;

function tde20r: String;

implementation

function tde20r: String;
var
M,IORDER,JSTART,IU,_i,IERR :Integer;
XN,XK,H,EPS,HMIN :Real;
BUL :Boolean;
RAB :Array [0..115] of Real;
Y :Array [0..3] of Real;
DELTY :Array [0..3] of Real;
YPM :Array [0..3] of Real;
begin
Result := '';  {   }
M := 4;
XN := 0.0;
XK := 6.0*3.14159265359;
H := 0.01;
IORDER := 6;
JSTART := 0;
Y[0] := 0.09411764706;
Y[1] := 0.0;
Y[2] := 0.0;
Y[3] := 4.5;
YPM[0] := Y[0];
YPM[1] := Y[1];
YPM[2] := Y[2];
YPM[3] := Y[3];
EPS := 1.E-3;
HMIN := 1.E-10;
IU := 2;
BUL :=False;
DE20R(FDE20R,M,IORDER,IU,JSTART,HMIN,EPS,XN,Y,
     H,BUL,YPM,DELTY,RAB,IERR);
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XN]);
Result := Result + Format('%s',[#$0D#$0A + ' Y=']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['      H']);
Result := Result + Format('%s',['              JSTART']);
Result := Result + Format('%20.16f        %10d ',[H,JSTART]) + #$0D#$0A;
Result := Result + Format('%s',['      YPM(1),']);
Result := Result + Format('%s',
 ['              YPM(2)' + #$0D#$0A + '              YPM(3)']);
Result := Result + Format('%s',['              YPM(4)' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[YPM[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['      DELTY(1)']);
Result := Result + Format('%s',
 ['           DELTY(2)' + #$0D#$0A + '           DELTY(3)']);
Result := Result + Format('%s',['           DELTY(4)' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[DELTY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde20r',Result);  {     tde20r.res }
exit;
end;

end.
