Unit FDE20R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure FDE20R(T :Real; var Y :Array of Real; var Z :Array of Real;
                M :Integer);
implementation

procedure FDE20R(T :Real; var Y :Array of Real; var Z :Array of Real;
                M :Integer);
var
R2,R :Real;
begin
R2 := Y[1-1]*Y[1-1]+Y[2-1]*Y[2-1];
R2 := R2*Sqrt(R2);
R := -(1.0-0.002*T)/R2;
Z[1-1] := Y[3-1];
Z[2-1] := Y[4-1];
Z[3-1] := R*Y[1-1];
Z[4-1] := R*Y[2-1];
end;

end.
